#ifndef STAIRS_H
#define STAIRS_H

#include "Entity.h"
#include "Sprite.h"

class Stairs : public Entity
{
    public:
        Stairs(float x, float y);
        virtual ~Stairs();

        static const float W;
        static const float H;

        virtual bool hurt(int dmg);
        virtual void step();
        virtual void draw(sf::RenderTarget& window);
        virtual void doCollide(Entity* other);
    private:
        Sprite sprite;
};

#endif // STAIRS_H
